Package org.eclipse.microprofile.rest.client.tck

# Class FollowRedirectsTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
org.eclipse.microprofile.rest.client.tck.FollowRedirectsTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class FollowRedirectsTest extends WiremockArquillianTest

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`FollowRedirectsTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`protected SimpleGetApiWithConfigKey`
`getConfiguredClientInstance()`
`protected SimpleGetApi`
`getDefaultClientInstance()`
`void`
`reset()`
`void`
`test301Default()`
`void`
`test301Follows()`
`void`
`test302Default()`
`void`
`test302Follows()`
`void`
`test303Default()`
`void`
`test303Follows()`
`void`
`test307Default()`
`void`
`test307Follows()`
`static void`
`testDefault(int redirectCode, SimpleGetApi defaultClient)`
`static void`
`testFollows(int redirectCode, SimpleGetApi followingClient)`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FollowRedirectsTest

public FollowRedirectsTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### reset

@BeforeMethod public void reset()

### test301Default

public void test301Default() throws Exception

Throws:
  `Exception`

### test301Follows

public void test301Follows() throws Exception

Throws:
  `Exception`

### test302Default

public void test302Default() throws Exception

Throws:
  `Exception`

### test302Follows

public void test302Follows() throws Exception

Throws:
  `Exception`

### test303Default

public void test303Default() throws Exception

Throws:
  `Exception`

### test303Follows

public void test303Follows() throws Exception

Throws:
  `Exception`

### test307Default

public void test307Default() throws Exception

Throws:
  `Exception`

### test307Follows

public void test307Follows() throws Exception

Throws:
  `Exception`

### getDefaultClientInstance

protected SimpleGetApi getDefaultClientInstance()

### getConfiguredClientInstance

protected SimpleGetApiWithConfigKey getConfiguredClientInstance()

### testDefault

public static void testDefault(int redirectCode, SimpleGetApi defaultClient) throws Exception

Throws:
  `Exception`

### testFollows

public static void testFollows(int redirectCode, SimpleGetApi followingClient) throws Exception

Throws:
  `Exception`